#!/bin/sh -fu

. livecd-functions

[ -f /tmp/fstab ] || exit 0

for device in $(find /dev/ -name 'dm-*' -type b);
do
	uuid=$(blkid -o value -s UUID "$device")
	fgrep "$uuid" "/tmp/fstab" &> /dev/null || continue
	# we should add luks feature to initrd if / is placed on luks
	# or create /etc/crypttab otherwise
	if grep -qe ".*$uuid.*[^[:alnum:]]/[^[:alnum:]]" "/tmp/fstab"; then
		echo 'FEATURES += luks' >> $destdir/etc/initrd.mk
		exit 0
	fi

	device_luks="/dev/"$(ls "/sys/block/$(basename "$device")/slaves/")
	[ "$(blkid -o value -s TYPE "$device_luks")" = "crypto_LUKS" ] || continue

	luks_uuid=$(blkid -o value -s UUID "$device_luks")

	[ -r "$destdir/etc/crypttab" ] && fgrep "$luks_uuid" "$destdir/etc/crypttab" &> /dev/null && continue

	echo "luks-$luks_uuid	UUID=$luks_uuid	none	luks" >> "/tmp/crypttab"
done
[ -f /tmp/crypttab ] && mv /tmp/crypttab $destdir/etc/ ||:
