#!/bin/sh -fu

. livecd-functions
CONFIG="$destdir/etc/sysconfig/network"
[ -f "$CONFIG" ] || exit 0
. "$CONFIG"

[ "$HOSTNAME" = 'localhost.localdomain' ] || exit 0

proc="$(sed -n 's;^model name[[:blank:]:]*\(.\+\);\1;p' < /proc/cpuinfo \
	| head -1 \
	| cut -d' ' -f 2-3 \
	| sed 's;(.*);;' \
	| tr ' _/' '---' \
	| tr '[:upper:]' '[:lower:]')"

mactail="$(ip link show \
	| sed -n 's;^.*link/ether[[:blank:]]\+\([[:xdigit:]:]\+\).*$;\1;p' \
	| head -1 \
	| cut -d: -f4-6 \
	| tr -d ":")"

[ -n "$mactail" -o -n "$proc" ] || exit 0

hostname="comp${proc:+-}$proc${mactail:+-}$mactail"
echo $hostname > $destdir/etc/HOSTNAME
subst "s/HOSTNAME=localhost.localdomain/HOSTNAME=$hostname/" "$CONFIG"

:
