#!/bin/sh

#     DESCRIPTION
#
#     Anti hook. Restore deleted kernel in /boot dir.

. livecd-functions

kernel="/image/syslinux/alt0/vmlinuz"
installkernel="/sbin/installkernel"
release="$(uname -r)"

verbose "Restore kernel image"

if ! [ -d "$target_dir" ]; then
    fatal "$target_dir doesn't exist"
fi

if ! [ -x "$installkernel" ]; then
    fatal "can't find $installkernel"
fi

if ! [ -r "$kernel" ]; then
    fatal "can't find kernel image: $kernel"
fi

cp "$kernel" "$target_dir/boot/vmlinuz-$release"
exec_chroot "$installkernel" "$release" --nolaunch

exit 0
