#!/bin/sh

. livecd-functions

for device in $(find /dev/ -name 'dm-*' -type b);
do
	# don't use plymouth with luks
	# if we can not check root mountpoint
	[ -f /tmp/fstab ] || exit 0

	uuid=$(blkid -o value -s UUID "$device")
	fgrep "$uuid" "/tmp/fstab" &> /dev/null || continue
	# don't use plymouth if / is placed on luks
	grep -qe ".*$uuid.*[^[:alnum:]]/[^[:alnum:]]" "/tmp/fstab" && exit 0 ||:
done

CONFIG="$destdir/etc/sysconfig/grub2"
grep -q drm_kms_helper /proc/modules || \
	subst 's/\(LINUX_DEFAULT=.\)/\1vga=0x314 /' "$CONFIG"
subst 's/splash=silent/splash/g' "$CONFIG"
grep -q quiet "$CONFIG" || subst 's/\<splash\>/quiet &/' "$CONFIG"
